Create Price
1 min
POST
https://api.upstartcommerce.com/v1/pricing
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe body of data to be added to the current pricing data.
200<p>Success-updated prices returned.</p>
201<p>Success-created prices returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
curl --request POST \
--url https://api.upstartcommerce.com/v1/pricing \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"assetId": "",
"listPrices": {
"zone": "",
"price": ""
},
"msrpPrices": {
"zone": "",
"price": ""
},
"salePrices": {
"zone": "",
"price": "",
"activationDate": "",
"deactivationDate": ""
}
}'